Bug 715742 - FTBFS postgresql-plruby-0.5.3-3.fc12
FTBFS postgresql-plruby-0.5.3-3.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postgresql-plruby (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F16FTBFS
  Show dependency treegraph
 
Reported: 2011-06-23 10:58 EDT by FTBFS
Modified: 2012-04-18 15:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: postgresql-plruby-0.5.3-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (170.52 KB, text/plain)
2011-06-23 10:58 EDT, FTBFS
no flags Details
build.log (1.02 MB, text/plain)
2011-06-23 10:58 EDT, FTBFS
no flags Details
mock.log (1.25 KB, text/plain)
2011-06-23 10:58 EDT, FTBFS
no flags Details
root.log (223.56 KB, text/plain)
2011-06-23 10:58 EDT, FTBFS
no flags Details
build.log (1.02 MB, text/plain)
2011-06-23 10:58 EDT, FTBFS
no flags Details
mock.log (1.39 KB, text/plain)
2011-06-23 10:58 EDT, FTBFS
no flags Details
fix for postgresql's bit functions' name change (1.30 KB, patch)
2012-02-15 11:25 EST, Honza Horak
no flags Details | Diff
fix for missing header files (372 bytes, patch)
2012-02-15 11:27 EST, Honza Horak
no flags Details | Diff
fix for wrong return value in declaration (585 bytes, patch)
2012-02-15 11:45 EST, Honza Horak
no flags Details | Diff

  None (edit)
Description FTBFS 2011-06-23 10:58:01 EDT
postgresql-plruby-0.5.3-3.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 10:58:06 EDT
Created attachment 506881 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 10:58:08 EDT
Created attachment 506882 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 10:58:09 EDT
Created attachment 506883 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 10:58:11 EDT
Created attachment 506884 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 10:58:12 EDT
Created attachment 506885 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 10:58:14 EDT
Created attachment 506886 [details]
mock.log


mock.log for x86_64
Comment 7 Henrik Nordström 2011-09-11 17:47:26 EDT
Any progress on getting this FTBFS fixed?

The current package in F15 fails to build and the armv7 bootstrap needs a working F15 source package to build from.
Comment 8 Honza Horak 2012-02-15 11:25:15 EST
Created attachment 562258 [details]
fix for postgresql's bit functions' name change

This patch fixes an issue introduced by the following change in PostgreSQL:
http://archives.postgresql.org/pgsql-committers/2010-12/msg00210.php
Comment 9 Honza Horak 2012-02-15 11:27:42 EST
Created attachment 562259 [details]
fix for missing header files

This patch adds postgres.h header file into plruby.h to get the missing symbols.
Comment 10 Honza Horak 2012-02-15 11:45:55 EST
Created attachment 562265 [details]
fix for wrong return value in declaration

This is only a minor fix in declaration of plruby_datum_get function, which didn't correspond with definition itself.

Using this patch and the two above it's possible to build the package at least in F17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3793042
Comment 11 Fedora Update System 2012-03-21 05:53:21 EDT
postgresql-plruby-0.5.3-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/postgresql-plruby-0.5.3-6.fc17
Comment 12 Fedora Update System 2012-03-21 05:55:01 EDT
postgresql-plruby-0.5.3-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/postgresql-plruby-0.5.3-5.fc16
Comment 13 Fedora Update System 2012-03-21 07:08:33 EDT
postgresql-plruby-0.5.3-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/postgresql-plruby-0.5.3-5.fc15
Comment 14 Fedora Update System 2012-03-21 21:55:55 EDT
Package postgresql-plruby-0.5.3-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing postgresql-plruby-0.5.3-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4402/postgresql-plruby-0.5.3-5.fc15
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-04-11 23:44:11 EDT
postgresql-plruby-0.5.3-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-04-13 17:30:30 EDT
postgresql-plruby-0.5.3-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-04-18 15:42:37 EDT
postgresql-plruby-0.5.3-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.